IndyStaticTypesMultiTypeDispatcher (Groovy 5.0.8)
Description: declaration: package: org.codehaus.groovy.classgen.asm.indy.sc, class: IndyStaticTypesMultiTypeDispatcher

Package org.codehaus.groovy.classgen.asm.indy.sc

# Class IndyStaticTypesMultiTypeDispatcher

java.lang.Object
org.codehaus.groovy.classgen.asm.BinaryExpressionHelper
org.codehaus.groovy.classgen.asm.BinaryExpressionMultiTypeDispatcher
org.codehaus.groovy.classgen.asm.sc.StaticTypesBinaryExpressionMultiTypeDispatcher
org.codehaus.groovy.classgen.asm.indy.sc.IndyStaticTypesMultiTypeDispatcher

public class IndyStaticTypesMultiTypeDispatcher extends StaticTypesBinaryExpressionMultiTypeDispatcher
Multi type dispatcher for binary expression backend combining indy and static compilation

Since:
  2.5.0

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.classgen.asm.BinaryExpressionMultiTypeDispatcher

  `binExpWriter, typeMap, typeMapKeyNames`

  ### Fields inherited from class org.codehaus.groovy.classgen.asm.BinaryExpressionHelper

  `controller`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IndyStaticTypesMultiTypeDispatcher(WriterController wc)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected BinaryExpressionWriter[]`
  `initializeDelegateHelpers()`

  ### Methods inherited from class org.codehaus.groovy.classgen.asm.sc.StaticTypesBinaryExpressionMultiTypeDispatcher

  `assignToArray, evaluateBinaryExpressionWithAssignment, evaluateEqual, writePostOrPrefixMethod`

  ### Methods inherited from class org.codehaus.groovy.classgen.asm.BinaryExpressionMultiTypeDispatcher

  `doPrimitiveCompare, doPrimtiveCompare, evaluateBinaryExpression, evaluateCompareExpression, getOperandType`

  ### Methods inherited from class org.codehaus.groovy.classgen.asm.BinaryExpressionHelper

  `eval, evaluateArrayAssignmentWithOperator, evaluateElvisEqual, evaluatePostfixMethod, evaluatePrefixMethod, evaluateTernary, getController, getIsCaseMethod`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IndyStaticTypesMultiTypeDispatcher

    public IndyStaticTypesMultiTypeDispatcher(WriterController wc)

- ## Method Details

  - ### initializeDelegateHelpers

    protected BinaryExpressionWriter[] initializeDelegateHelpers()
    Overrides:
      `initializeDelegateHelpers` in class `BinaryExpressionMultiTypeDispatcher`